export * from './domtools.colors.js';

import * as elementBasic from './domtools.elementbasic.js';
import * as breakpoints from './domtools.css.breakpoints.js';
import * as css from './domtools.css.js';

export { css, breakpoints, elementBasic };
export { DomTools, type IDomToolsContructorOptions } from './domtools.classes.domtools.js';
export { TypedRequest } from '@api.global/typedrequest';
export { type IWebSetupConstructorOptions } from '@push.rocks/websetup';

import * as allPlugins from './domtools.plugins.js';

export const plugins = {
  smartdelay: allPlugins.smartdelay,
  smartmarkdown: allPlugins.smartmarkdown,
  smartpromise: allPlugins.smartpromise,
  SweetScroll: allPlugins.SweetScroll,
  smartstate: allPlugins.smartstate,
  smartrx: allPlugins.smartrx,
  smartstring: allPlugins.smartstring,
  smarturl: allPlugins.smarturl,
  typedrequest: allPlugins.typedrequest,
};

// type exports
import type { rxjs } from '@push.rocks/smartrx';

export type {
  rxjs,
}
